<template lang="html">
  <div>
      <div  :title="title" @mouseover="rotate" @mouseleave="rotateBack" class="img-chest-default">

      </div>
      <div class="title-game">
          <span class="title-bold">{{ titleBold }}</span>
          {{ title }}
      </div>
  </div>
</template>

<script>

// import imgChestDefault from "../assets/img/home/chest-img-default.png"
// import imgChestHover from "../assets/img/home/chest-img-default.png"
// import imgChestOnClick from "../assets/img/home/chest-img-default.png"

export default {
    props: ['title','titleBold', 'deg'],
    data () {
      return {

      }
    },
    methods: {
      rotate() {
        this.$emit('mouseover', this.deg);
      },
      rotateBack () {
        this.$emit('mouseleave');
      }
    }
}
</script>

<style lang="scss" scoped>
    * {
      transition: all .3s ease;
    }
    .img-chest-default:hover ~ .title-game {
      .title-bold {
        color: #D10000;
      }
    }
    .img-chest-default:hover {
      .title-bold {
        color: red;
      }
    }
    .ref {
      background: red;
    }
    .game-light {
      .img-chest-default:hover {
        background-image: url(../../assets/img/home/chest-img-light.svg);
        transition: .3s all ease;
      }
    }
    .game-standart {
      .img-chest-default:hover {
        background-image: url(../../assets/img/home/chest-img-standart.svg);
        transition: .3s all ease;
      }
    }
    .game-crazy {
      .img-chest-default:hover {
        background-image: url(../../assets/img/home/chest-img-crazy.svg);
        transition: .3s all ease;
      }
    }
    .title-game {
        text-align: center;
        font-size: 39px;
        margin-top: 10px;

        text-transform: uppercase;
        .title-bold {
            color: #361404;
            font-weight: bold;

            text-transform: uppercase;
        }
    }
    .img-chest-default {
        height: 125px;
        width: 160px;

        background-position: center;
        background-repeat: no-repeat;
        background-size: contain;
        background-image: url(../../assets/img/home/chest-img-default.png);

        transition: .3s all ease;

        margin-bottom: 15px;
        margin-left: 18px;

    }
    .img-chest-default:hover {
        height: 125px;
        width: 160px;
        transition: .3s all ease;
        background-position: center;
        background-repeat: no-repeat;
        background-size: contain;
        background-image: url(../../assets/img/home/chest-default-hover.svg);
    }
</style>
